Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Interface LoadClass

All Known Implementing Classes:
  ANEWARRAY, CHECKCAST, FieldOrMethod, INSTANCEOF, MULTIANEWARRAY, NEW

public interface LoadClass

Denotes that an instruction may start the process of loading and resolving the referenced class in the Virtual Machine.

Version:
  $Id: LoadClass.java,v 1.1.1.1 2001/10/29 20:00:23 jvanzyl Exp $
Author:
  M. Dahm

Method Summary
`ObjectType` | `getLoadClassType(ConstantPoolGen cpg)` Returns the ObjectType of the referenced class or interface that may be loaded and resolved.
`Type` | `getType(ConstantPoolGen cpg)` Returns the type associated with this instruction.

Method Detail

### getLoadClassType

    public ObjectType getLoadClassType(ConstantPoolGen cpg)

  Returns the ObjectType of the referenced class or interface that may be loaded and resolved.

  Returns:
    object type that may be loaded or null if a primitive is referenced

### getType

    public Type getType(ConstantPoolGen cpg)

  Returns the type associated with this instruction. LoadClass instances are always typed, but this type does not always refer to the type of the class or interface that it possibly forces to load. For example, GETFIELD would return the type of the field and not the type of the class where the field is defined. If no class is forced to be loaded, null is returned. An example for this is an ANEWARRAY instruction that creates an int[][].

  See Also:
    `getLoadClassType(ConstantPoolGen)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.